# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
#
# Copyright (C) 2013 Canonical Ltd
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Renato Araujo Oliveira Filho <renato@canonical.com>
#              Nekhelesh Ramananthan <krnekhelesh@gmail.com>


class MainWindow(object):
    """An emulator class that makes it easy to interact with the clock-app."""

    def __init__(self, app):
        self.app = app

    def get_qml_view(self):
        """Get the main QML view"""
        return self.app.select_single("QQuickView")

    def get_object(self, typeName, name):
        return self.app.select_single(typeName, objectName=name)
        
    def get_stopwatch_label(self):
        """Returns the select for the stopwatch label"""
        return self.app.select_single("Label", objectName="labelStopwatch")
        
    def get_stopwatch_button(self):
        """Returns the select for the stopwatch button"""
        return self.app.select_single("Button", objectName="buttonStopwatch")

    def get_lap_button(self):
        """Returns the select for the lap button"""
        return self.app.select_single("Button", objectName="lapButton")
        
    def get_lap_count(self):
        """Returns the select for the lap count AnimatedLabel"""
        return self.app.select_single("AnimatedLabel", objectName="lapCount")     
